commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@gmx.de>
Subject Re: [dbcp] 1.3/1.4 RC1 available for review
Date Fri, 11 Dec 2009 07:41:39 GMT
Hi Phil,

Phil Steitz wrote at Donnerstag, 10. Dezember 2009 12:42:

> Jörg Schaible wrote:
>> Hi Phil,
>> 
>> Phil Steitz wrote:
>> 
>>> I have prepared release candidates for DBCP 1.3 and 1.4.  Please all
>>> interested parties have a look and test.  If all goes well, I will
>>> kick off a release VOTE based on these artifacts in the next couple
>>> of days.  I see these as really two sets of artifacts associated
>>> with one release, so I am inclined to just do one VOTE including
>>> both versions.  If anyone disagrees with this, please speak up.  I
>>> am happy to run two VOTEs.
>>>
>>> 1.3 (JDBC 3) version:
>>> http://people.apache.org/~psteitz/dbcp-1.3-rc1
>>> http://people.apache.org/~psteitz/dbcp-1.3-rc1/site
>>> http://people.apache.org/~psteitz/dbcp-1.3-rc1/maven
>>> http://svn.apache.org/repos/asf/commons/proper/dbcp/tags/DBCP_1_3_RC1/
>> 
>> Like Nial I changed geronimo-jta_1.1_spec to version 1.1. My compiler zoo
>> fails though for blackdown-jdk-1.4.2.03, jrockit-jdk-1.4.2.16 and sun-
>> jdk-1.4.2.19. IMHO you must update the xerces version to a release that
>> contains the driver implementation in the Java-SPI (META-INF/services):
> 
> Thanks, Jorg.  I really appreciate your running this through "the
> zoo."  Can you identify a suitable Xerces version?

Actually I tried that yesterday. I've upgraded to xercesImpl-2.9.1 that 
contains the SPI entry for sure, but the test still fails. After looking 
into the code I've seen that the test explicitly sets the system property 
already. Even after moving that code from constructor into setUp the failure 
still occurs. This left be somewhat baffled, but I ran out of time to have a 
further look :-/

> I am going to make this and the jta spec change and cut another RC.
> 
> Thanks all for testing.

Did you also see those:

[snip]

> I do not see those using IBM-JDK 1.5.0.10. With this I had a casually 1
> failure, but no test reports are generated with Ant nor could I see on the
> console which test actually failed.

Is there a failure in the Ant build that prevents the junit reports to be 
written?

> Additionally the Ant build filters-out the JDBC4 stuff ?!? I thought it's
> not there in 1.3.

Simply wondering, nothing serious.

[snip]

>> 1.4 (JDBC 4) version:
>> http://people.apache.org/~psteitz/dbcp-1.4-rc1
>> http://people.apache.org/~psteitz/dbcp-1.4-rc1/site
>> http://people.apache.org/~psteitz/dbcp-1.4-rc1/maven
>> http://svn.apache.org/repos/asf/commons/proper/dbcp/tags/DBCP_1_4_RC1/
> 
> Builds from source and runs tests with IcedTea6 1.6.2, Sun JDK 1.6 and Sun
> JDK 1.7.0.0.alpha69 (add to README.txt ?!?). However it fails with IBM
> 1.6.0.6:
> 
> ========================== %< ================================
> 
-------------------------------------------------------------------------------
> Test set: org.apache.commons.dbcp.managed.TestBasicManagedDataSource
> 
-------------------------------------------------------------------------------
> Tests run: 46, Failures: 1, Errors: 0, Skipped: 0, Time elapsed: 3.398 sec
> <<< FAILURE!
> 
testReallyClose(org.apache.commons.dbcp.managed.TestBasicManagedDataSource)
> Time elapsed: 0.066 sec  <<< FAILURE!
> junit.framework.AssertionFailedError: Expecting SQLException - XAResources
> orphaned
> at junit.framework.Assert.fail(Assert.java:47)
> at
> 
org.apache.commons.dbcp.managed.TestBasicManagedDataSource.testReallyClose(TestBasicManagedDataSource.java:72)
> ========================== %< ================================

Seems that the IBM JDK is behaving differently.

>> The build setup itself looks good though, except a minor nit:
>> 
>> ========================== %< ================================
>> [WARNING] While downloading xml-apis:xml-apis:2.0.2
>>   This artifact has been relocated to xml-apis:xml-apis:1.0.b2.
>> ========================== %< ================================
>> 
>> xml-apis-2.0.2 is simply a "wrong" release and we should refer the
>> correct one.

I've replaced it with the latest release 1.3.04.

- Jörg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message